View Issue Details

IDProjectCategoryView StatusLast Update
0004122Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.3Fixed in Version0.3 
Summary0004122: auditor manipulation
DescriptionWe need a menu option for the user to view and manipulate the list of accepted auditors, and a signalling mechanism that an auditor can use to launch that dialog pre-filled with its information ready to be added (but the user still has to press "add").

Auditors must be approved only for certain currencies!

Basically, if someone runs a regional currency, it must be easy to visit 'auditor.region.tld', click on "add auditor" on that page, click on "add" in the wallet dialog and have a new auditor for the "REGIO" currency. Similarly, the dialog should allow the user to remove auditors.

Naturally, the wallet should ship with a sane set of default auditors (i.e. our KUDOS auditor for KUDOS).
TagsNo tags attached.

Relationships

related to 0004028 closedFlorian Dold Add multi auditors, multi exchange choice 
related to 0003974 closedFlorian Dold wallet needs to securely inform customer about exchange's auditors 

Activities

Florian Dold

2017-03-28 09:49

manager   ~0011982

Implemented in wallet.git:e8bec33

Issue History

Date Modified Username Field Change
2016-01-02 12:39 Christian Grothoff New Issue
2016-01-02 12:39 Christian Grothoff Status new => confirmed
2016-01-02 12:39 Christian Grothoff Target Version 0.2 => 0.3
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004315
2016-11-20 03:33 Christian Grothoff Relationship added related to 0004028
2017-01-13 16:14 Christian Grothoff Relationship added related to 0003974
2017-03-02 08:10 Christian Grothoff Assigned To => Florian Dold
2017-03-02 08:10 Christian Grothoff Status confirmed => assigned
2017-03-28 09:49 Florian Dold Note Added: 0011982
2017-03-28 09:49 Florian Dold Status assigned => resolved
2017-03-28 09:49 Florian Dold Resolution open => fixed
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed